# vim: set sw=4 ts=4 et nu:
%define skip_python2 1

Name:               jack_mixer
Version:            15.1
Release:            150400.1.pm.135
Summary:            JACK Audo Mixer Application
Source:             %{name}-%{version}.tar.xz
URL:                https://github.com/jack-mixer/jack_mixer
Group:              Productivity/Multimedia/Sound/Mixers
License: GPL-2.0
BuildRequires:      meson >= 0.53
BuildRequires:      pkgconfig(glib-2.0)
BuildRequires:      pkgconfig(jack)
BuildRequires:      python-rpm-macros
BuildRequires:      %{python_module Cython}
BuildRequires:      %{python_module docutils}
BuildRequires:      update-desktop-files
Requires:           %{python3_dist pygobject}
Requires:           %{python3_dist pyxdg}
Requires:           python3-gobject-Gdk
Requires:           python3-gobject-cairo

%description
jack_mixer is a GTK+ JACK audio mixer app with a look similar to its hardware
counterpart. It has lot of useful features, apart from being able to mix
multiple JACK audio streams.

Features:
* Mix any number of input channels (mono or stereo).
* Control balance and faders with MIDI commands.
* Handle session management with LASH.
* Create as many outputs as necessary.
* Quickly monitor inputs (PFL) and outputs.
* ...

%prep
%autosetup -p1

%build
: %python_sitelib
: %python_sitearch 
PYTHON=$(type -P "python3" | xargs --no-run-if-empty readlink -f)
for i in $(find * -type f -exec grep -l '%{_bindir}/python$' '{}' +)
do
	sed -i~ "
	s@%{_bindir}/python[.0-9]*@$PYTHON@
	" "$i"
	diff -u "$i"~ "$i" && exit 1
	touch --reference="$i"~ "$i"
	rm -fv "$i"~
done
for i in $(find * -type f -exec grep -l '%{_bindir}/env python' '{}' +)
do
	sed -i~ "
	s@%{_bindir}/env python[.0-9]*@$PYTHON@
	" "$i"
	diff -u "$i"~ "$i" && exit 1
	touch --reference="$i"~ "$i"
	rm -fv "$i"~
done
%meson \
    -Dcheck-py-modules=false \
    %{nil}
%meson_build

%install
%meson_install

%suse_update_desktop_file -r "%{name}" AudioVideo Mixer

%files
%{_bindir}/*
%{_datadir}/icons/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/*/*
%{python_sitelib}/%{name}
%{python_sitearch}/%{name} 

%changelog
* Sat Apr  3 2021 olaf@aepfle.de
- Update to version 15.1
* Fri Jan  6 2012 pascal.bleser@opensuse.org
- initial version (9)
